#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long int N,K;
     cin >> N;
     cin >> K;
    long long int niz[(2*N+1)];
    int i;
    int j = -N ;

    for(i=0; i<(2*N+1); i++)
    {
        niz[i]=0;


    }

    for(i=0; i< N; i++)
    {
        niz[i]=j;
        j=j+1;

    }


    j=0;
    for(i=N; i<(2*N+1); i++)
    {
        niz[i]=j;
        j++;

    }
    j=N;
    long long int a;
    long long int nizz[(2*N+1)];
    long long int njz[N];
    int t=0;
    int h=0;
    for(i=0; i<(2*N+1); i++)
    {
        nizz[i]=0;
    }
    while(j!=0){
        cin >> a;
        njz[h]=a;
        h++;
        for (i=0;i<(2*N+1);i++){
            if(a==niz[i]){
                nizz[i]++;
            }
            if(nizz[i]==K){
                    t++;
                nizz[i]=0;
            }

        }
        j--;

    }
    cout <<t <<endl;
    for(i=0; i<(2*N+1); i++)
    {
        nizz[i]=0;
    }
    for (h=0;h<N;h++){
        for(i=0;i<(2*N+1);i++){
            if(njz[h]==niz[i]){
               nizz[i]++;
            }
            if(nizz[i]==K){
                    cout <<niz[i] ;
                nizz[i]=0;
            }
        }
    }
    return 0;
}